Bug 19960 - IrDA doesn't find appropriate module
IrDA doesn't find appropriate module
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: irda-utils (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-28 14:24 EDT by Yaron Minsky
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-28 14:24:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaron Minsky 2000-10-28 14:24:32 EDT
I installed the IrDA RPM and started it up (/etc/rc.d/init.d/irda start),
but the startup fails, putting the following error messages into the log.
In particular, it can't seem to find the tty-ldisc-11 module.

Oct 28 13:52:10 snapdragon irmanager: executing: '/sbin/modprobe irda'
Oct 28 13:52:10 snapdragon kernel: IrDA (tm) Protocols for Linux-2.2 (Dag
Brattli)
Oct 28 13:52:10 snapdragon irmanager: executing: 'echo 1 >
/proc/sys/net/irda/discovery'
Oct 28 13:52:10 snapdragon irmanager: executing: 'echo snapdragon >
/proc/sys/net/irda/devname'
Oct 28 13:52:10 snapdragon irda: irmanager startup succeeded
Oct 28 13:52:11 snapdragon irmanager: + 1.1 Tue Nov  9 15:30:55 1999 Dag
Brattli
Oct 28 13:52:11 snapdragon irmanager: + 1.1 Tue Nov  9 15:30:55 1999 Dag
Brattli
Oct 28 13:52:11 snapdragon modprobe: modprobe: Can't locate module tty-ldisc-11
Oct 28 13:52:11 snapdragon irattach: irattach: tty: set_disc(11): Bad file
descriptor

My system is a Gateway Solo 2500 with a fresh (not upgraded) Redhat 7.0
install.  Findchip -v returns the following:

snapdragon: yminsky # findchip  -v
reg=0x010
Found NSC PC87338 Controller at 0x398, DevID=0x0b, Rev. 2
    SIR Base 0x2f8, FIR Base 0x2f8
    IRQ = 0, DMA = 3
    Enabled: yes, Suspended: no
    UART compatible: yes
    Half duplex delay = 0 us
Comment 1 Bernhard Rosenkraenzer 2000-10-31 07:38:29 EST
Add the following to /etc/mdules.conf:

alias tty-ldisc-11 irtty
alias char-major-60 ircomm_tty
alias char-major-161 ircomm-tty

The latest irda-utils package (should appear in rawhide soon) does this automatically.

Note You need to log in before you can comment on or make changes to this bug.